package messenger

import (
	"Yimaru-Backend/internal/config"
	"Yimaru-Backend/internal/services/settings"
)

type Service struct {
	settingSvc *settings.Service
	config     *config.Config
}

func NewService(
	settingSvc *settings.Service,
	cfg *config.Config,
) *Service {
	return &Service{
		settingSvc: settingSvc,
		config:     cfg,
	}
}
